PKGCTL-DB-REMOVE(1)

NAME
pkgctl-db-remove - Remove packages from binary repositories

SYNOPSIS

pkgctl db remove [OPTIONS] [REPO] [PKGBASE]...

DESCRIPTION

Remove packages from pacman repositories. By default passing a pkgbase removes all split packages, debug packages as well as entries from the state repo for all existing architectures.

Beware when using the --partial option, as it may most likely lead to undesired effects by leaving debug packages behind as well as dangling entries in the state repository.

OPTIONS

--partial
    Remove only partial pkgnames from a split package. This leaves debug packages behind and pkgbase entries in the state repo.

-a, --arch ARCH
    Remove only one specific architecture (disables auto-detection). By default all architectures are removed when this option is not used.

--noconfirm
    Bypass any confirmation messages, should only be used with caution.

-h, --help
    Show a help text

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.